<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('request_log_daily_monitorings', function (Blueprint $table) {
            $table->id();
            $table->foreignId('request_log_id');
            $table->timestamps();
            $table->text('subject');
            $table->decimal('body_temperature', 11, 2);
            $table->decimal('respiration_rate', 11, 2);
            $table->decimal('sistole', 11, 2);
            $table->decimal('diastole', 11, 2);
            $table->text('analysis');
            $table->text('complaints');
            $table->dateTime('lab_date')->nullable();
            $table->string('provider')->nullable();
            $table->string('examination')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('request_log_daily_monitorings');
    }
};
